package tpUnit;

public class TableauHelper {
	
	/**
	 * Retourne l'inverse d'un tableau t.
	 * <p>
	 * pré-condition: t est non nul
	 * <p>
	 * post-condition: t est inchangé, et le résultat est l'inverse de t.
	 * 
	 * @param t
	 *            un tableau non nul, éventuellement vide.
	 * @return un tableau inverse de t (la première case est la première,
	 *         etc...)
	 * @throws NullPointerException
	 *             si t est nul.
	 */
	public static char[] inverser(char t[]) {
		return null;
	}

	/**
	 * Concatène les tableaux t1 et t2 (qui sont éventuellement vide)
	 * <p>
	 * pré-condition: t1 et t2 sont non nuls
	 * <p>
	 * post-condition: t1 et t2 sont inchangés, et le résultat contient, d'abord
	 * et dans l'ordre, les éléments de t1, puis les éléments de t2.
	 * 
	 * @param t1
	 * @param t2
	 * @return un tableau qui est la concaténation de t1 et t2.
	 * @throws NullPointerException
	 *             si t1 ou t2 sont nuls
	 */
	public static int[] concatener(int t1[], int t2[]) {
		return null;
	}

	/**
	 * Retourne un sous tableau de t.
	 * <p> précondition: t est non nul, et debut est inférieur ou égal à fin.
	 * <p> post condition: retourne un tableau contenant toutes les cases de t dont l'indice 
	 * est compris dans l'intervale [début,fin[ (fin exclu).
	 * <p> post-condition: le tableau retourné aura une adresse différente de celle de t. 
	 * <p> Note: si début et fin sont égaux, le tableau retourné doit être vide.
	 * <p> Note: la manière dont la post-condition est écrite autorise debut et fin à être en dehors
	 * des limites de la taille du tableau t. Par exemple, si début=0 et fin=1000, et que t est de taille 10, 
	 * le tableau retourné sera une copie de t.
	 * @return un tableau.
	 * @throws NullPointerException si t est nul
	 * @throws IllegalArgumentException si debut est supérieur à fin.
	 */
	public static char[] sousTableau(char t[], int debut, int fin) {
		return null;
	}
}
